Web Scraping

Web Scraping Examples

#Standard GET

curl -X POST /v1/web \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://example.com",
    "method": "GET"
  }'

#POST with JSON Body

curl -X POST /v1/web \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://example.com/api",
    "method": "POST",
    "request_headers": {
      "Content-Type": "application/json"
    },
    "request_body": {
      "hello": "world"
    }
  }'

#Geo-Targeted Proxy

curl -X POST /v1/web \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://example.com",
    "proxy_country": "us"
  }'

#Captcha Bypass

curl -X POST /v1/web \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://example.com/protected",
    "bypass_captcha": "true"
  }'